The official holding valuation for a fund.
Security
Class_oAuth(Required scopes: fund.read)
- Partner Integration Environment (Sandbox)https://api.class-pie.com.au/api/1.0/f/{businessCode}/{fundCode}/report-data/investment-reports/official-holding-valuation-details
- Production Environmenthttps://api.class.com.au/api/1.0/f/{businessCode}/{fundCode}/report-data/investment-reports/official-holding-valuation-details
curl -i -X GET \
'https://api.class-pie.com.au/api/1.0/f/demo-business/demo-fund/report-data/investment-reports/official-holding-valuation-details?year=2024&groupBy=MarketType' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Response
{ "Data": { "PortfolioDetailList": [ { "MarketTypeDetailList": [ { "HoldingDetailList": [ {} ], "MarketTypeId": "ASX", "MarketTypeName": "Australian Securities Exchange" } ], "PortfolioId": "4bc1b3db-67ac-4eab-ab75-a087c72aa16a" } ], "FundCode": "demo-fund", "FundName": "DEMO_SMSF_2025", "atDate": "2025-11-01" }, "Errors": [ { "Code": "string", "Message": "string" } ] }